Package org.jfree.layouting.util

## Class AttributeMap

- java.lang.Object
- - org.jfree.layouting.util.AttributeMap

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`
  Direct Known Subclasses:
    `LazyAttributeMap`

      public class AttributeMap
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  Creation-Date: 09.04.2006, 16:12:13
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributeMap​()` |
    `AttributeMap​(AttributeMap copy)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `protected void` | `copyInto​(AttributeMap copy)` |
    `AttributeMap` | `createUnmodifiableMap​()` |
    `java.lang.Object` | `getAttribute​(java.lang.String namespace, java.lang.String attribute)` |
    `java.util.Map` | `getAttributes​(java.lang.String namespace)` |
    `long` | `getChangeTracker​()` |
    `java.lang.Object` | `getFirstAttribute​(java.lang.String attribute)` |
    `java.lang.String[]` | `getNameSpaces​()` |
    `boolean` | `isEmpty​()` |
    `boolean` | `isReadOnly​()` |
    `void` | `makeReadOnly​()` |
    `java.lang.Object` | `setAttribute​(java.lang.String namespace, java.lang.String attribute, java.lang.Object value)` |
    `protected java.lang.Object` | `setAttributeInternal​(java.lang.String namespace, java.lang.String attribute, java.lang.Object value)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeMap

          public AttributeMap​()

    - #### AttributeMap

          public AttributeMap​(AttributeMap copy)

  - ### Method Detail

    - #### copyInto

          protected void copyInto​(AttributeMap copy)

    - #### createUnmodifiableMap

          public AttributeMap createUnmodifiableMap​()

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### setAttribute

          public java.lang.Object setAttribute​(java.lang.String namespace,
                                               java.lang.String attribute,
                                               java.lang.Object value)

    - #### setAttributeInternal

          protected java.lang.Object setAttributeInternal​(java.lang.String namespace,
                                                          java.lang.String attribute,
                                                          java.lang.Object value)

    - #### isEmpty

          public boolean isEmpty​()

    - #### getAttribute

          public java.lang.Object getAttribute​(java.lang.String namespace,
                                               java.lang.String attribute)

    - #### getFirstAttribute

          public java.lang.Object getFirstAttribute​(java.lang.String attribute)

    - #### getAttributes

          public java.util.Map getAttributes​(java.lang.String namespace)

    - #### getNameSpaces

          public java.lang.String[] getNameSpaces​()

    - #### makeReadOnly

          public void makeReadOnly​()

    - #### isReadOnly

          public boolean isReadOnly​()

    - #### getChangeTracker

          public long getChangeTracker​()